WStringValueHelper (Java SE 9 & JDK 9 )
Keywords: org.omg.CORBA.WStringValueHelper class

Module java.corba
Package org.omg.CORBA

## Class WStringValueHelper

- java.lang.Object
- - org.omg.CORBA.WStringValueHelper

- All Implemented Interfaces:
    `BoxedValueHelper`

      public class WStringValueHelper
      extends Object
      implements BoxedValueHelper

  org/omg/CORBA/WStringValueHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from orb.idl 31 May 1999 22:27:30 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :
  - ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
  - IDL/Java Language Mapping as defined in ptc/00-01-08

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WStringValueHelper​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `extract​(Any a)` |
    `String` | `get_id​()` |
    `static String` | `id​()` |
    `static void` | `insert​(Any a, String that)` |
    `static String` | `read​(InputStream istream)` |
    `Serializable` | `read_value​(InputStream istream)` |
    `static TypeCode` | `type​()` |
    `static void` | `write​(OutputStream ostream, String value)` |
    `void` | `write_value​(OutputStream ostream, Serializable value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WStringValueHelper

          public WStringValueHelper​()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    String that)

    - #### extract

          public static String extract​(Any a)

    - #### type

          public static TypeCode type​()

    - #### id

          public static String id​()

    - #### read

          public static String read​(InputStream istream)

    - #### read_value

          public Serializable read_value​(InputStream istream)

      Specified by:
        `read_value` in interface `BoxedValueHelper`

    - #### write

          public static void write​(OutputStream ostream,
                                   String value)

    - #### write_value

          public void write_value​(OutputStream ostream,
                                  Serializable value)

      Specified by:
        `write_value` in interface `BoxedValueHelper`

    - #### get_id

          public String get_id​()

      Specified by:
        `get_id` in interface `BoxedValueHelper`